Bug 842518 - (CVE-2012-4049) CVE-2012-4049 wireshark: Excessive CPU usage in NFS dissector
CVE-2012-4049 wireshark: Excessive CPU usage in NFS dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120722,reported=2...
: Security
Depends On: 842531
Blocks: 842520
  Show dependency treegraph
 
Reported: 2012-07-24 01:38 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-04-23 16:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 16:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-07-24 01:38:52 EDT
An infinite loop was found in the way NFS dissector of the Wireshark network traffic analyzer processed certain NFS packets. If Wireshark read a malformed packet off a network or opened a malicious packet capture file, it could lead to denial of service (Wireshark hang).

Reference:
http://www.wireshark.org/security/wnpa-sec-2012-12.html
Comment 1 Huzaifa S. Sidhpurwala 2012-07-26 00:42:35 EDT
Though there is no news from upstream about the wrong bug mentioned in their advisory, looking at the commit logs suggests that the issue is actually:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7209
Comment 2 Huzaifa S. Sidhpurwala 2012-07-26 00:43:49 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Huzaifa S. Sidhpurwala 2012-07-26 00:45:20 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 842531]

Note You need to log in before you can comment on or make changes to this bug.